ApiMetricSchema (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiMetricSchema

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiMetricSchema

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiMetricSchema
      extends Object

  A metric schema represents the schema for a specific metric monitored by the Cloudera Management Services.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiMetricSchema()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiMetricSchema` | `addAliasesItem(String aliasesItem)`
    `ApiMetricSchema` | `aliases(List<String> aliases)`
    `ApiMetricSchema` | `description(String description)`
    `ApiMetricSchema` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `List<String>` | `getAliases()` Aliases for the metric.
    `String` | `getDescription()` Description of the metric.
    `String` | `getDisplayName()` Display name of the metric.
    `Boolean` | `getIsCounter()` Is the metric a counter.
    `String` | `getName()` Name of the metric.
    `Map<String,List<String>>` | `getSources()` Sources for the metric.
    `String` | `getUnitDenominator()` Denominator for the unit of the metric.
    `String` | `getUnitNumerator()` Numerator for the unit of the metric.
    `int` | `hashCode()`
    `ApiMetricSchema` | `isCounter(Boolean isCounter)`
    `ApiMetricSchema` | `name(String name)`
    `ApiMetricSchema` | `putSourcesItem(String key, List<String> sourcesItem)`
    `void` | `setAliases(List<String> aliases)`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setIsCounter(Boolean isCounter)`
    `void` | `setName(String name)`
    `void` | `setSources(Map<String,List<String>> sources)`
    `void` | `setUnitDenominator(String unitDenominator)`
    `void` | `setUnitNumerator(String unitNumerator)`
    `ApiMetricSchema` | `sources(Map<String,List<String>> sources)`
    `String` | `toString()`
    `ApiMetricSchema` | `unitDenominator(String unitDenominator)`
    `ApiMetricSchema` | `unitNumerator(String unitNumerator)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiMetricSchema

          public ApiMetricSchema()

  - ### Method Detail

    - #### name

          public ApiMetricSchema name(String name)

    - #### getName

          public String getName()

      Name of the metric. This name is guaranteed to be unique among the metrics.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### displayName

          public ApiMetricSchema displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      Display name of the metric.
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### description

          public ApiMetricSchema description(String description)

    - #### getDescription

          public String getDescription()

      Description of the metric.
      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

    - #### isCounter

          public ApiMetricSchema isCounter(Boolean isCounter)

    - #### getIsCounter

          public Boolean getIsCounter()

      Is the metric a counter. A counter tracks the total count since a process / host started. The rate of change of a counter may often be more interesting than the raw value of a counter.
      Returns:
        isCounter

    - #### setIsCounter

          public void setIsCounter(Boolean isCounter)

    - #### unitNumerator

          public ApiMetricSchema unitNumerator(String unitNumerator)

    - #### getUnitNumerator

          public String getUnitNumerator()

      Numerator for the unit of the metric.
      Returns:
        unitNumerator

    - #### setUnitNumerator

          public void setUnitNumerator(String unitNumerator)

    - #### unitDenominator

          public ApiMetricSchema unitDenominator(String unitDenominator)

    - #### getUnitDenominator

          public String getUnitDenominator()

      Denominator for the unit of the metric.
      Returns:
        unitDenominator

    - #### setUnitDenominator

          public void setUnitDenominator(String unitDenominator)

    - #### aliases

          public ApiMetricSchema aliases(List<String> aliases)

    - #### addAliasesItem

          public ApiMetricSchema addAliasesItem(String aliasesItem)

    - #### getAliases

          public List<String> getAliases()

      Aliases for the metric. An alias is unique per metric (per source and version) but is not globally unique. Aliases usually refer to previous names for the metric as metrics are renamed or replaced.
      Returns:
        aliases

    - #### setAliases

          public void setAliases(List<String> aliases)

    - #### sources

          public ApiMetricSchema sources(Map<String,List<String>> sources)

    - #### putSourcesItem

          public ApiMetricSchema putSourcesItem(String key,
                                                List<String> sourcesItem)

    - #### getSources

          public Map<String,List<String>> getSources()

      Sources for the metric. Each source entry contains the name of the source and a list of versions for which this source is valid
      Returns:
        sources

    - #### setSources

          public void setSources(Map<String,List<String>> sources)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.